# Battle Copter : Attacks enemies from a medium long range, drops a bomb on top of enemies.
#


scoreboard objectives add BattleCopter_Health dummy 
execute as @e[tag=BattleCopterMob] at @s store result score @s BattleCopter_Health run data get entity @s Health
execute as @e[tag=!HeroCooldownTag,tag=BattleCopterMob,scores={BattleCopter_Health=..50}] at @s if entity @e[tag=!Player_Ally,distance=..20] run function clash:hero_effects/battle_copter/trigger


execute if entity @e[tag=!Player_Ally,limit=1,sort=nearest,distance=..10] run tag @s add CanHover
execute unless entity @e[tag=!Player_Ally,limit=1,sort=nearest,distance=..10] run tag @s remove CanHover

execute as @s[tag=!HeroBattleCopter_HasLoaded] at @s run function clash:hero_effects/battle_copter/load


execute as @s[tag=BattleCopter_AbilityHasTriggered] at @s run function clash:hero_effects/battle_copter/dash/_main



# Bullet Attack
execute as @s[tag=!BattleCopter_AbilityHasTriggered] if entity @e[type=!marker,tag=!Player_Ally,distance=..10] run scoreboard players add @s HeroAttackTimer 1

execute if score @s HeroAttackTimer matches 30 run function clash:look_at_nfriendly

execute if score @s HeroAttackTimer matches 40 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 50 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 60 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 70 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 80 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 90 run function clash:hero_effects/battle_copter/attack/bullet_proj/cast

execute if score @s HeroAttackTimer matches 100.. run scoreboard players reset @s HeroAttackTimer

execute unless entity @e[type=!marker,tag=!Player_Ally,distance=..10] run scoreboard players reset @s HeroAttackTimer



# Copter Hover Noise

scoreboard players add @s CustomMob_SoundTimer_Ambient 1

execute if score @s[predicate=clash:0_point_25_percent] CustomMob_SoundTimer_Ambient matches 1 run playsound clash:boss.battle_copter.copter_sound_loop ambient @a[distance=..15] ~ ~ ~ 0.25 1

execute if score @s CustomMob_SoundTimer_Ambient matches 59 run scoreboard players reset @s CustomMob_SoundTimer_Ambient


