# Royal Champion : Has a chance to kill nearby arrows, attacks with a short range 
#                  projectile, summon the seeking shield 


scoreboard objectives add RC_Health dummy 
execute as @e[tag=RoyalChampionMob] at @s store result score @s RC_Health run data get entity @s Health
execute as @e[tag=!HeroCooldownTag,tag=RoyalChampionMob,scores={RC_Health=..50}] at @s if entity @e[tag=!RC_ShieldHit,tag=!Player_Ally,distance=..20.0] run function clash:tool_abilities/trident/summon_shield


# this is for the shield entity itself
execute as @e[tag=RC_Shield] at @s run function clash:hero_effects/royal_champion/shield/main

# this is for the temp shield (visual only) entities
execute as @e[tag=SeekingShieldMob] at @s run function clash:hero_effects/royal_champion/shield/visual_effects

# applies effects to hit entities
execute as @e[tag=RC_ShieldHit] at @s run function clash:hero_effects/royal_champion/shield/hit

# tags arrows and Kills the arrows tagged
execute as @e[tag=RoyalChampionMob] at @s run execute as @e[type=#arrows,distance=..3.5,nbt={inGround:0b}] at @s run function clash:hero_effects/royal_champion/arrow_block



# This is for the regular attacks (The Lance)

# RC Attack Timer
execute as @e[tag=RoyalChampionMob] at @s if entity @e[tag=!Player_Ally,distance=..7.5] run scoreboard players add @s HeroAttackTimer 1
execute as @e[tag=RoyalChampionMob,scores={HeroAttackTimer=30..}] at @s run tag @s add RC_Attack


execute as @e[tag=RC_Attack_Proj] at @s run function clash:hero_effects/royal_champion/proj/generic



# makes it so the RC attacks
execute as @e[tag=RC_Attack] at @s run function clash:hero_effects/royal_champion/attack

# What happens to entities hit by the spear
execute as @e[tag=RC_Hit] at @s run function clash:hero_effects/royal_champion/hit
