

#CHANGE


# This gives the tag to the elixir golem
execute as @e[name="Elixir Golem"] at @s[tag=!ElixirGolemMob] run tag @s add ElixirGolemMob
execute as @e[name="Elixir Golem"] at @s[tag=!NonExplodingGolem] run tag @s add NonExplodingGolem

# This determines (chance) if the golem can merge or not
execute as @e[tag=ElixirGolemMob,tag=!DetermineIfMerge] at @s run tag @s[predicate=clash:0_point_5_percent] add CantMerge
execute as @e[tag=ElixirGolemMob,tag=!DetermineIfMerge] at @s run tag @s add DetermineIfMerge

# This gives the golem no loot table basically (empty)
execute as @e[tag=ElixirGolemMob,tag=!CantMerge] at @s run data merge entity @s {DeathLootTable:"clash:entities/spawned_skeleton"}
execute as @e[tag=ElixirGolemMob,tag=!CantMerge] at @s run data merge entity @s {Silent:1b}
execute as @e[tag=ElixirGolemMob,tag=!CantMerge,nbt={Size:0}] at @s if entity @e[tag=ElixirGolemMob,distance=..5,limit=2] run scoreboard players add @s MobTimerAbility 1
execute as @e[tag=ElixirGolemMob,tag=!CantMerge,nbt={Size:0},scores={MobTimerAbility=32..},predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent] at @s if entity @e[tag=ElixirGolemMob,distance=..5,limit=2,tag=!ElixirGolem_Merge,sort=nearest] run tag @s[tag=!CantMerge] add ElixirGolem_Merge

# This is for when the golem is merging, it will kill 2 entities, and spawn one instead
# providing the illusion of "merging"
execute as @e[tag=ElixirGolem_Merge] at @s run function clash:mob_effects/golem_effects/elixir_golem/merge_effects


# The NonExplodingGolem tag is used on elixir golems, this prevents
# the elixir golem from dealing damage when split
execute as @e[type=slime,tag=!GolemSpawnEffect,tag=!NonExplodingGolem] at @s run function clash:mob_effects/golem_effects/golem/_non_exploding



