#clears and deletes bedrock (bedrock is used as an invisible item)
execute as @a[gamemode=survival] at @s run function clash:other/clear_item_1t
kill @e[type=item,nbt={Item:{tag:{CustomModelData:123}}}]

execute as @a[gamemode=survival] at @s run function clash:other/delete_corals


# effect clear @a bad_omen

# # #

execute as @e[type=#friendly] at @s[tag=!Player_Ally] run tag @s add Player_Ally


# execute as @e[type=!#friendly] at @s[tag=!Player_CanHurt] run tag @s add Player_CanHurt
# execute as @e[type=iron_golem,tag=!Hero_Ally] at @s[tag=!Player_CanHurt] run tag @s add Player_CanHurt


# Some armorstands have this tag which makes it so when it encounters
# a block it doesn't go through
execute as @e[tag=ArmorStandProjectile] at @s unless block ~ ~1 ~ #can_summon run kill @s

#STOPS PLAYERS FROM ENTERING THE NETHER
execute as @a[gamemode=survival] at @s run fill ~3 ~3 ~3 ~-3 ~-3 ~-3 air replace nether_portal

function clash:spells/_main

function clash:special_items/_main

function clash:tool_abilities/_main

function clash:custom_ai/_main

function clash:armor_bonus/armor_bonus_1t

# This is for generic mob tags
execute as @e[tag=CanHover] at @s run function clash:mob_effects/generic/can_hover
execute as @e[tag=CanSpin] at @s run function clash:mob_effects/generic/can_spin
execute as @e[tag=CanGoUnderground] at @s run function clash:mob_effects/generic/can_go_underground
execute as @e[tag=MinerOnGround] at @s run function clash:mob_effects/generic/has_gone_underground
execute as @e[tag=GenericToKill] at @s run function clash:mob_effects/generic/generic_to_kill
execute as @e[tag=ImmuneToFireTicks] at @s run function clash:mob_effects/generic/immune_to_fire_ticks
# PreventDrowned is in mob_effects_main (executes every 5t)



function clash:mob_effects/_mob_abilities_1t
function clash:structure_hostile_entities/_structure_hostile_entities_1t

# This goes before mob_replace
function clash:mob_effects/witch_effects/main


# FUNCTIONS FOR ARMOR BONUS
function clash:armor_bonus/barbarian_king_crown/_main
function clash:armor_bonus/dragon_head/_main
function clash:armor_bonus/healer_wings/_main
function clash:armor_bonus/yeti_head/_main

#FUNCTIONS FOR MOBx

# function clash:mob_effects/barbarian_effects
function clash:mob_effects/archer_effects/main
# function clash:mob_effects/giant_effects
# function clash:mob_effects/goblin_effects
# function clash:mob_effects/wallbreaker_effects
function clash:mob_effects/balloon_effects/main
function clash:mob_effects/wizard_effects/main
function clash:mob_effects/healer_effects/main
function clash:mob_effects/dragon_effects/main
# function clash:mob_effects/pekka_effects
function clash:mob_effects/baby_dragon_effects/main
# function clash:mob_effects/miner_effects
function clash:mob_effects/electro_dragon_effects/_main
# function clash:mob_effects/yeti_effects
# function clash:mob_effects/dragon_rider_effects
# function clash:mob_effects/electro_titan_effects

# function clash:mob_effects/minion_effects
# function clash:mob_effects/hog_rider_effects
# function clash:mob_effects/valkyrie_effects
# function clash:mob_effects/golem_effects
# function clash:mob_effects/lava_hound_effects
# function clash:mob_effects/bowler_effects
# function clash:mob_effects/ice_golem_effects
# function clash:mob_effects/headhunter_effects

function clash:mob_effects/royal_ghost_effects/_main


# skeleton spawn 
execute as @e[tag=!Spawned,type=vex] at @s run function clash:spawn/special/skeleton_vex

# function clash:mob_effects/skeleton_effects

# function clash:mob_effects/cannon_cart_effects

# function clash:mob_effects/magic_archer_effects

# function clash:mob_effects/spirit_effects

function clash:mob_effects/pet_effects/_main




# function clash:mob_effects/hero_effects/ability_cooldown

# function clash:mob_effects/hero_effects/barbarian_king_effects
# function clash:mob_effects/hero_effects/archer_queen_effects
# function clash:mob_effects/hero_effects/grand_warden_effects
function clash:hero_effects/royal_champion/_main
# function clash:mob_effects/hero_effects/battle_machine_effects
function clash:hero_effects/battle_copter/_main

# : VILLAGE EFFECTS
# effect give @e[type=villager,predicate=!clash:has_regeneration] regeneration 30 0 true
# effect give @e[type=iron_golem,predicate=!clash:has_regeneration] regeneration 30 0 true
function clash:villager_effects/mother_witch_effects
# function clash:villager_effects/lumberjack_effects
function clash:villager_effects/archer_effects
# function clash:villager_effects/fisherman_effects
# function clash:villager_effects/executioner_effects
function clash:villager_effects/hunter/_main
# function clash:villager_effects/musketeer_effects
# function clash:villager_effects/dart_goblin_effects
function clash:villager_effects/fisherman_effects
function clash:villager_effects/executioner_effects

function clash:boss_effects/_main

execute as @e[type=zombie_villager] at @s run function clash:mob_effects/delete_zombie_villagers









# These are reset every tick
scoreboard players set @a Player_MobKills 0
scoreboard players set @a Player_DamageDealt 0
scoreboard players set @a Player_DamageTaken 0