scoreboard players add @s clash.Ray 1

# execute if score @s clash.Ray matches 5.. run particle crit ~ ~ ~ 0 0 0 0.05 1 force @a
# execute if score @s clash.Ray matches 5.. run particle cloud ~ ~ ~ 0 0 0 0.05 1 force @a

# This is to prevent any weird behavior
execute if score @s clash.Ray matches 1 run scoreboard players set @s num_1 1

execute if score @s clash.Ray matches 1 run effect give @s invisibility 1 1 true

execute as @s[tag=Player_Summoned] if score @s clash.Ray matches 1 run tp @s ~ ~ ~ facing entity @p[predicate=clash:tool_abilities/has_iron_axe] eyes
execute as @s[tag=Villager_Summoned] if score @s clash.Ray matches 1 run function clash:look_at_nfriendly
execute as @s[tag=Hostile] if score @s clash.Ray matches 1 run function clash:look_at_player


execute if score @s clash.Ray matches 4 run effect clear

# This is used so the axe doesn't stray too far from the player
# for unknown reasons, the axe doesn't return to where
# it came from. May look into this. For now, this is used.
execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1

execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 17 run scoreboard players operation @s MobTimerAbility -= @s num_1

# This spawns the vfx entity

execute if score @s clash.Ray matches 5.. run execute positioned ~ ~.5 ~ run function clash:tool_abilities/axes/executioner_axe/proj/summon_vfx


# This is for dealing damage
execute if score @s[tag=Friendly] clash.Ray matches 5.. run execute as @e[tag=!Player_Ally,distance=..2.5,limit=1,sort=nearest] at @s run function clash:tool_abilities/axes/executioner_axe/proj/hit
execute if score @s[tag=Hostile] clash.Ray matches 5.. run execute as @a[distance=..2.5,limit=1,sort=nearest] at @s run function clash:tool_abilities/axes/executioner_axe/proj/hit


# This moves the axe forward
execute if score @s clash.Ray matches 5..16 if block ^ ^.5 ^.75 #can_summon run function clash:tool_abilities/axes/executioner_axe/proj/move_forward

# This moves the axe backwards
execute if score @s clash.Ray matches 18.. run function clash:tool_abilities/axes/executioner_axe/proj/move_backwards


# This is so the axe is killed once the score that tells the 
# amount of block is has moved reaches 0. 
execute as @s[scores={clash.Ray=2..}] if score @s MobTimerAbility matches 0 run function clash:kill


# This is to make absolutely sure the axe is destroyed.
# May not even execute.

execute if score @s clash.Ray matches 40.. run function clash:kill



