
# Archer (Villager) : Attacks enemies with its bow

# Tags all villagers that are fletcher
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:farmer"}},tag=!VillagerDTGBTag] add VillagerDTGBTag
execute as @e[tag=VillagerDTGBTag,predicate=!clash:has_regeneration] at @s run effect give @s speed 1 0 true


# Attack Timer
execute as @e[tag=VillagerDTGBTag] at @s run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=VillagerDTGBTag,scores={VillagerTimerAbility=3..}] at @s if entity @e[tag=!Player_Ally,distance=..12.5,predicate=!clash:has_wither] if block ~ ~ ~ #can_summon run tag @s add DTGB_Attack_Execute
execute as @e[tag=VillagerDTGBTag,scores={VillagerTimerAbility=3..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
execute as @e[tag=DTGB_Attack_Execute] at @s run tp @s ~ ~ ~ facing entity @e[tag=!Player_Ally,distance=..15.5,limit=1,sort=nearest,predicate=!clash:has_wither]
execute as @e[tag=DTGB_Attack_Execute] at @s run function clash:tool_abilities/axes/dart_goblin_blowgun/cast
execute as @e[tag=DTGB_Attack_Execute] at @s run tag @s remove DTGB_Attack_Execute

execute as @e[tag=VillagerDTGBTag] at @s run tag @s remove VillagerDTGBTag