
# Lumberjack (Villager) : Summons logs every couple of seconds to assist on battle

# Tags all villagers that are shepherd
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:shepherd"}},tag=!LumberjackTag] add LumberjackTag
execute as @e[tag=LumberjackTag] at @s run effect give @s resistance 1 1 true


# Attack Timer
execute as @e[tag=LumberjackTag] at @s if entity @e[tag=!Player_Ally,distance=..11.5] run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=LumberjackTag,scores={VillagerTimerAbility=1..},tag=!Lumberjack_AbilityCooldown] at @s if block ~ ~ ~ #can_summon run function clash:villager_effects/lumberjack/ability_execute
execute as @e[tag=LumberjackTag,scores={VillagerTimerAbility=1..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
# execute as @e[tag=LJ_Attack_Execute] at @s run summon minecraft:iron_golem ^ ^.25 ^1 {Tags:[Spawned, logGolem],DeathLootTable:"clash:entities/spawned_skeleton",CustomName:'[{"text":"Summoned Log","color":"light_purple","bold":true}]',PlayerCreated:1,Invulnerable:1b,Silent:1b}
# execute as @e[tag=LJ_Attack_Execute] at @s run tp @s ~ ~ ~ facing entity @e[tag=!MW_AttackHit,tag=!Player_Ally,distance=..7.5,limit=1,sort=nearest]
# execute as @e[tag=LJ_Attack_Execute] at @s run playsound entity.zombie.hurt ambient @a[distance=..10] ~ ~ ~ 0.35 1.5
# execute as @e[tag=LJ_Attack_Execute] at @s run particle dust 1 0 1 1.25 ~ ~1 ~ 0.45 0.85 0.45 0 45 force @a
# execute as @e[tag=LJ_Attack_Execute] at @s run tag @s remove LJ_Attack_Execute


execute as @e[tag=Lumberjack_AbilityCooldown] at @s run function clash:villager_effects/lumberjack/cd_main

execute as @e[tag=LumberjackTag] at @s run tag @s remove LumberjackTag