
# Tags all villagers that are clerics
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:cleric"}},tag=!MotherWitchTag] add MotherWitchTag

execute as @e[tag=MotherWitchTag,predicate=clash:0_point_5_percent] at @s if block ~ ~ ~ #can_summon run particle dust 1 0 1 2 ~ ~0.125 ~ 0.125 0.25 0.125 10 1 force @a

execute as @e[tag=MotherWitchTag] at @s run effect give @s slow_falling 1 1 true


# Attack Timer
execute as @e[tag=MotherWitchTag] at @s if entity @e[tag=!Player_Ally,distance=..7.5] run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=MotherWitchTag,scores={VillagerTimerAbility=60..}] at @s if entity @e[tag=!Player_Ally,distance=..7.5] if block ~ ~ ~ #can_summon run tag @s add MW_Attack_Execute
execute as @e[tag=MotherWitchTag,scores={VillagerTimerAbility=60..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
execute as @e[tag=MW_Attack_Execute] at @s run function clash:villager_effects/mother_witch/execute_ability

execute as @e[tag=MW_Projectile] at @s run function clash:villager_effects/mother_witch/proj

execute as @e[tag=MotherWitchTag] at @s run tag @s remove MotherWitchTag