
tag @s[tag=!Clash_BossEntity] add Clash_BossEntity

# particle ambient_entity_effect ~ ~2 ~ 1 1 1 1 10

execute if entity @e[tag=BossBarbarianMob,distance=..2] run data merge entity @s {NoAI:1b}
execute unless entity @e[tag=BossBarbarianMob,distance=..2] run data merge entity @s {NoAI:0b}



# This is for the death sound effect
# scoreboard objectives add BattleMachineBossHealth dummy 
execute as @s at @s store result score @s BarbarianKingBossHealth run data get entity @s Health

execute as @s[scores={BarbarianKingBossHealth=..20}] at @s run function clash:boss_effects/barbarian_king/death


# These are for the abilities
execute unless entity @a[distance=..19.5] run data merge entity @s {Invulnerable:1b}
execute if entity @a[distance=..19.5] run data merge entity @s {Invulnerable:0b}

# ANGER INDEX

# MobTimerAbility_3 Is used as an anger index
execute if entity @a[distance=..15,scores={Player_DamageDealt=61..}] run function clash:boss_effects/barbarian_king/anger
execute positioned ~ ~2 ~ if entity @e[type=#arrows,nbt={OnGround:0b},tag=!BossKingTagged,distance=..5] run function clash:boss_effects/barbarian_king/anger
execute positioned ~ ~2 ~ if entity @e[type=experience_orb,tag=!BossKingTagged,distance=..25] run function clash:boss_effects/barbarian_king/anger


execute positioned ~ ~2 ~ run tag @e[type=#arrows,distance=..5,nbt={OnGround:0b},tag=!BossKingTagged] add BossKingTagged
execute positioned ~ ~2 ~ run tag @e[type=experience_orb,distance=..25,tag=!BossKingTagged] add BossKingTagged


# ANGER INDEX DECREASE
execute as @s[scores={Card_Index=1..}] run scoreboard players add @s MobTimerAbility_3 1 

execute if score @s MobTimerAbility_3 matches 160.. run scoreboard players operation @s Card_Index -= @s num_1
execute if score @s MobTimerAbility_3 matches 160.. run scoreboard players reset @s MobTimerAbility_3



# Iron Fist Ability
scoreboard players add @s MobTimerAbility 1 

execute if score @s MobTimerAbility matches 600 run function clash:boss_effects/barbarian_king/iron_fist_ability/execute
execute if score @s MobTimerAbility matches 601 run execute as @s[scores={Card_Index=3..}] run function clash:boss_effects/barbarian_king/iron_fist_ability/spawn_barb_round
execute if score @s MobTimerAbility matches 602 run execute as @s[scores={Card_Index=6..}] run function clash:boss_effects/barbarian_king/iron_fist_ability/spawn_barb_round
execute if score @s MobTimerAbility matches 603 run execute as @s[scores={Card_Index=9..}] run function clash:boss_effects/barbarian_king/iron_fist_ability/spawn_barb_round
execute if score @s MobTimerAbility matches 604 run execute as @s[scores={Card_Index=12..}] run function clash:boss_effects/barbarian_king/iron_fist_ability/spawn_barb_round
execute if score @s MobTimerAbility matches 605 run execute as @s[scores={Card_Index=15..}] run function clash:boss_effects/barbarian_king/iron_fist_ability/spawn_barb_round
execute if score @s MobTimerAbility matches 600.. run function clash:boss_effects/barbarian_king/iron_fist_ability/ability

execute if score @s MobTimerAbility matches 900.. run scoreboard players reset @s MobTimerAbility


# Mega Swing Ability
execute if entity @a[distance=..7.5] run scoreboard players add @s MobTimerAbility_2 1 

execute if score @s MobTimerAbility_2 matches 100.. run tag @s add BossKing_SwingAbilityHasTriggered
execute if score @s MobTimerAbility_2 matches 100.. run scoreboard players reset @s MobTimerAbility_2



execute as @s[tag=BossKing_SwingAbilityHasTriggered] run function clash:boss_effects/barbarian_king/swing_ability/ability
