

# THE SPAWN FOR THIS BOSS IS IN THE structure_hostile_entities/main




# This is so the boss doesn't receive any negative effects
effect clear @s mining_fatigue 
effect clear @s wither 


# This is so when a player that has dealt damage near the dragon, it will start to firebreath on players
execute if entity @a[distance=..6,scores={Player_DamageDealt=1..}] run scoreboard players set @s[scores={MobTimerAbility_2=160..489}] MobTimerAbility_2 489 


# This is so when an arrow is shot near the dragon, it will start to firebreath on players
execute if entity @e[type=#arrows,distance=..7,nbt={OnGround:0b}] run execute as @s[scores={MobTimerAbility_2=160..419}] run particle angry_villager ~ ~ ~ 1 1 1 0 15 force @a
execute if entity @e[type=#arrows,distance=..7,nbt={OnGround:0b}] run scoreboard players set @s[scores={MobTimerAbility_2=160..419}] MobTimerAbility_2 460 


# This is so fireballs have a firebreath attack instead
execute if entity @e[type=small_fireball,distance=..5] run function clash:boss_effects/giant_dragon/fireball_attack_replace



# This is the firebreath attack, it happens for 5s every 25s
scoreboard players add @s MobTimerAbility_2 1 

execute as @s[scores={MobTimerAbility_2=1}] at @s if entity @a[distance=..50] run weather clear
execute as @s[scores={MobTimerAbility_2=300}] at @s if entity @a[distance=..50] run weather clear

execute as @s[scores={MobTimerAbility_2=500..}] at @s run execute as @e[type=#arrows,nbt={OnGround:0b},distance=..7.5 ] at @s run function clash:boss_effects/momma/arrow_block
execute as @s[scores={MobTimerAbility_2=420..}] at @s run particle flame ^ ^.325 ^.5 0 0 0 0.1 15 force @a
execute as @s[scores={MobTimerAbility_2=490}] at @s run data merge entity @s {Invulnerable:1b,NoAI:1b}
execute as @s[scores={MobTimerAbility_2=490}] at @s run playsound entity.blaze.hurt ambient @a[distance=..25] ~ ~ ~ 2 0.5
execute as @s[scores={MobTimerAbility_2=490}] at @s run tp @s ~ ~ ~ facing entity @p[distance=..41]
execute as @s[scores={MobTimerAbility_2=500}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=510}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=520}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=530}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=540}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=550}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=560}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=570}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=580}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=590}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=600}] at @s run function clash:boss_effects/giant_dragon/fire_ability/cast
execute as @s[scores={MobTimerAbility_2=600..}] at @s run data merge entity @s {Invulnerable:0b,NoAI:0b}
execute as @s[scores={MobTimerAbility_2=600..}] at @s run scoreboard players reset @s MobTimerAbility_2


# This is so the boss glows, allows players to find it more easily
scoreboard players add @s MobTimerAbility_3 1 
execute as @s[scores={MobTimerAbility_3=600}] at @s run function clash:boss_effects/momma/glow



