
tag @s[tag=!Clash_BossEntity] add Clash_BossEntity

particle dust 1 0.941 0.412 1 ~ ~-4 ~ 4 4 4 0 3 force @a
particle minecraft:end_rod ~ ~-4 ~ 4 4 4 0.01 3 force @a

effect give @s slow_falling 1 1 true

effect give @a[distance=..10] mining_fatigue 1 2 false


# This is for the death sound effect
# scoreboard objectives add WardenBossHealth dummy 
execute as @s at @s store result score @s WardenBossHealth run data get entity @s Health

execute as @s[scores={WardenBossHealth=..20}] at @s run function clash:boss_effects/grand_warden/death




# These are for the abilities, NOT for beam attacks

execute unless entity @a[distance=..19.5] run data merge entity @s {Invulnerable:1b}
execute if entity @a[distance=..19.5] run data merge entity @s {Invulnerable:0b}




execute if entity @a[distance=..15,scores={Player_DamageDealt=100..}] run execute as @s[scores={MobTimerAbility=..598}] run scoreboard players set @s MobTimerAbility 599
execute if entity @a[distance=..15,scores={Player_DamageDealt=100..}] run execute as @s[scores={MobTimerAbility=701..1199}] run function clash:boss_effects/grand_warden/statue_ability/ability_execute



execute if score @s[predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent] MobTimerAbility matches 1..460 run playsound clash:boss.warden.say ambient @a[distance=..24.5] ~ ~ ~ 10 1 1
execute if score @s[predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent] MobTimerAbility matches 700..1160 run playsound clash:boss.warden.say ambient @a[distance=..24.5] ~ ~ ~ 10 1 1


scoreboard players add @s MobTimerAbility 1 

execute if score @s MobTimerAbility matches 500 run effect give @s levitation 5 1 true

execute if score @s MobTimerAbility matches 600 run playsound clash:boss.warden.ability ambient @a[distance=..25] ~ ~ ~ 0.65 1
execute if score @s MobTimerAbility matches 600 run playsound clash:hero.grand_warden_ability ambient @a[distance=..25] ~ ~ ~ 10 1
execute if score @s MobTimerAbility matches 600..700 run function clash:boss_effects/grand_warden/eternal_tome/ability_execute

execute if score @s MobTimerAbility matches 1..1000 if entity @a[distance=..7.5] unless block ~ ~-5 ~ #can_summon run effect give @s levitation 1 3 true

execute if score @s[nbt={OnGround:1b}] MobTimerAbility matches 1200 run function clash:boss_effects/grand_warden/statue_ability/ability_execute


execute as @s[tag=BossWarden_IsStatue] run scoreboard players add @s MobTimerAbility_2 3


execute if score @s MobTimerAbility matches 1510 run playsound block.beacon.deactivate ambient @a[distance=..25] ~ ~ ~ 5 1.5
execute if score @s MobTimerAbility matches 1510 run tag @s remove BossWarden_IsStatue
execute if score @s MobTimerAbility matches 1510 run data merge entity @s {NoAI:0b,NoGravity:0b,CustomName:'[{"text":"Grand Warden","bold":true,"color":"light_purple"}]'}

execute if score @s MobTimerAbility matches 1511.. run scoreboard players reset @s MobTimerAbility



scoreboard players add @s MobTimerAbility_2 1 

execute if score @s MobTimerAbility_2 matches 60.. run function clash:boss_effects/grand_warden/beam/spawn_beam_marker
