

# THE SPAWN FOR THIS BOSS IS IN THE structure_hostile_entities/main

# This is so the boss is slow and doesn't deal enough damage to kill a player on 1 strike
effect clear @s mining_fatigue 
effect give @s[predicate=!clash:has_slowness] slowness 1000000 255 true
effect give @s[predicate=!clash:has_weakness] weakness 1000000 255 true


# These are the particle effects for the boss
# # # #
# particle crit ~ ~1 ~ 0 0 0 1 1 


# This is for when there are no more princesses left. 
# This will only happen once
execute unless entity @e[tag=PrincessBoss,distance=..30] as @s[tag=!KingActivate] run function clash:boss_effects/king/activate




execute as @e[type=piglin_brute,distance=..2.5] at @s run function clash:kill

# This is for when the king becomes angry
execute unless entity @e[tag=PrincessBoss,distance=..30] run function clash:boss_effects/king/king_is_angry
execute if entity @a[distance=..9.5,scores={Player_DamageDealt=1..},limit=1,sort=nearest] run function clash:boss_effects/king/king_angers
execute if entity @e[type=#arrows,nbt={OnGround:0b},distance=..5,tag=!King_Arrow_Marked] run function clash:boss_effects/king/king_angers

tag @e[type=#arrows,distance=..5,nbt={OnGround:0b},tag=!King_Arrow_Marked] add King_Arrow_Marked

# execute if entity @a[distance=..7.5,scores={Player_DamageDealt=0..},limit=1,sort=nearest] run say Anger

execute if entity @a[distance=..15,scores={Player_DamageTaken=60..}] run playsound clash:boss.king.cry ambient @a[distance=..25] ~ ~ ~ 5 1 

kill @e[tag=Arrows_Spell_Arrow,distance=..3.5]

# This makes the king invincible 
execute as @s[tag=King_Immunity] at @s run function clash:boss_effects/king/immunity
execute if entity @e[tag=PrincessBoss,distance=..30] run particle witch ~ ~1 ~ 0.25 0.575 0.25 0.1 5 force @a
execute if entity @e[tag=PrincessBoss,distance=..30] run effect give @s resistance 1 255 false


# This sb is used as a timer for spells
scoreboard players add @s Spell_Counter 1 
execute as @s[scores={Spell_Counter=340}] at @s unless score @s Spell_Index matches 2 run execute as @a[distance=..25,limit=1,sort=nearest] at @s positioned over world_surface run summon marker ~ ~ ~ {Tags:[King_Spell_To_Spawn_Marker]}
execute as @s[scores={Spell_Counter=400..}] at @s run function clash:boss_effects/king/spell_ability_execute

# This sb is used as a timer for card placement
scoreboard players add @s Card_Counter 1 
execute as @s[scores={Card_Counter=240}] at @s run execute as @a[distance=..25,limit=1,sort=nearest] at @s positioned over world_surface run summon marker ~ ~ ~ {Tags:[King_Enemy_To_Spawn_Marker]}
execute as @s[scores={Card_Counter=300..}] at @s run function clash:boss_effects/king/ability_execute






