

# This applies effects to the player to be rewarded
execute as @e[tag=PlayerToReward] at @s run function clash:defensive_raids/rewarded_player

# This applies to all armorstands that are spawned from 'FoundPlayerToReward'
execute as @e[tag=FireworkArmorstand] at @s run function clash:defensive_raids/firework_armorstand_def_raid_effects

# This is applied to the main round manager if a player to reward (has luck) has been found
execute as @e[tag=FoundPlayerToReward] at @s run summon marker ~ ~ ~ {Tags:[FireworkArmorstand]}
execute as @e[tag=FoundPlayerToReward] at @s run summon marker ~ ~ ~ {Tags:[FireworkArmorstand]}
execute as @e[tag=FoundPlayerToReward] at @s run summon marker ~ ~ ~ {Tags:[FireworkArmorstand]}

# This is for the Main Round Manager, the marker that spawns raids
execute as @e[tag=MainRoundManager] at @s run function clash:defensive_raids/main_round_manager

# This makes it so it anounces players that a round has 10s left
execute as @e[tag=EndOfRoundWarning] at @s run function clash:defensive_raids/end_of_round_main

# This clears the scoreboards and tags from tagged entities
execute as @e[tag=EndOfRoundWarning_Clear] at @s run function clash:defensive_raids/end_of_round_effects_clear

# Players are tagged with 'ShowRaidBar'
execute as @e[tag=ShowRaidBar] at @s run function clash:defensive_raids/show_raid_bar

# This is applied to spawned armorstands
execute as @e[tag=FirstRoundSpawn] at @s run function clash:defensive_raids/rounds/round1
execute as @e[tag=SecondRoundSpawn] at @s run function clash:defensive_raids/rounds/round2
execute as @e[tag=ThirdRoundSpawn] at @s run function clash:defensive_raids/rounds/round3
execute as @e[tag=FourthRoundSpawn] at @s run function clash:defensive_raids/rounds/round4
execute as @e[tag=FifthRoundSpawn] at @s run function clash:defensive_raids/rounds/round5

# This summons (can) spells during raid battles
execute as @e[tag=SummonRaidSpell] at @s run function clash:defensive_raids/summon_raid_spell_effects

# This is applied to all entities spawned from raids
# DR stands for Defensive Raid
execute as @e[tag=DR_Entity] at @s run function clash:defensive_raids/dr_entity

# This applies to all armor stands spawned by managers
# DR stands for Defensive Raid
execute as @e[tag=DR_ArmorStand] at @s run function clash:defensive_raids/dr_armor_stand

# This spreads the armor stands around
execute as @e[tag=SpreadArmorStands] at @s run spreadplayers ~ ~ 30 31 true @s
execute as @e[tag=SpreadArmorStands] at @s run tag @s remove SpreadArmorStands

# This is for entities summoned by raid entities (hog glider, battle ram)

execute as @e[tag=DR_Entity_Spawned] at @s run function clash:defensive_raids/dr_entity_spawned



schedule function clash:defensive_raids/main 1s 
