# Archer Queen : Attacks enemies from a medium long range, becomes invisible and attacks faster with her ability
#                Summons archers to her aid.

scoreboard objectives add AQueen_Health dummy 
execute as @e[tag=ArcherQueenMob] at @s store result score @s AQueen_Health run data get entity @s Health
execute as @e[tag=!HeroCooldownTag,tag=ArcherQueenMob,scores={AQueen_Health=..50}] at @s if entity @e[type=!#super_friendly,distance=..10] run function clash:hero_effects/archer_queen/trigger
# execute as @e[tag=!HeroCooldownTag,tag=ArcherQueenMob,scores={AQueen_Health=..50}] at @s if entity @e[type=!#super_friendly,distance=..10] run tag @s add HeroCooldownTag


# execute as @e[tag=ArcherQueenEffect] at @s run summon minecraft:iron_golem ~2 ~.1 ~ {DeathLootTable:"clash:entities/spawned_skeleton",PlayerCreated:1,CustomName:'[{"text":"Summoned Archer","bold":true,"color":"#ff6699"}]',Health:20,PersistenceRequired:1b,Tags:[Spawned, HeroSummonedArcher],Attributes:[{Name:"generic.max_health",Base:20f}]}
# execute as @e[tag=ArcherQueenEffect] at @s run summon minecraft:iron_golem ~-2 ~.1 ~ {DeathLootTable:"clash:entities/spawned_skeleton",PlayerCreated:1,CustomName:'[{"text":"Summoned Archer","bold":true,"color":"#ff6699"}]',Health:20,PersistenceRequired:1b,Tags:[Spawned, HeroSummonedArcher],Attributes:[{Name:"generic.max_health",Base:20f}]}
# execute as @e[tag=ArcherQueenEffect] at @s run summon minecraft:iron_golem ~ ~.1 ~2 {DeathLootTable:"clash:entities/spawned_skeleton",PlayerCreated:1,CustomName:'[{"text":"Summoned Archer","bold":true,"color":"#ff6699"}]',Health:20,PersistenceRequired:1b,Tags:[Spawned, HeroSummonedArcher],Attributes:[{Name:"generic.max_health",Base:20f}]}
# execute as @e[tag=ArcherQueenEffect] at @s run summon minecraft:iron_golem ~ ~.1 ~-2 {DeathLootTable:"clash:entities/spawned_skeleton",PlayerCreated:1,CustomName:'[{"text":"Summoned Archer","bold":true,"color":"#ff6699"}]',Health:20,PersistenceRequired:1b,Tags:[Spawned, HeroSummonedArcher],Attributes:[{Name:"generic.max_health",Base:20f}]}
# execute as @e[tag=ArcherQueenEffect] at @s run effect give @s invisibility 15 0 false
# execute as @e[tag=ArcherQueenEffect] at @s run playsound block.enchantment_table.use ambient @a[distance=..10] ~ ~ ~ 1 1.5
# execute as @e[tag=ArcherQueenEffect] at @s run playsound block.amethyst_block.chime ambient @a[distance=..10] ~ ~ ~ 1 2
# execute as @e[tag=ArcherQueenEffect] at @s run playsound block.amethyst_block.break ambient @a[distance=..10] ~ ~ ~ 1 1
# execute as @e[tag=ArcherQueenEffect] at @s run playsound block.amethyst_block.break ambient @a[distance=..10] ~ ~ ~ 1 1
# execute as @e[tag=ArcherQueenEffect] at @s run playsound block.amethyst_block.break ambient @a[distance=..10] ~ ~ ~ 1 1
# execute as @e[tag=ArcherQueenEffect] at @s run particle enchant ~ ~2.5 ~ 0 0 0 1 50 force @a
# execute as @e[tag=ArcherQueenEffect] at @s run tag @s remove ArcherQueenEffect

# Regular attack timer for the archer queen
execute as @e[tag=ArcherQueenMob,predicate=!clash:has_invisibility] at @s run function clash:hero_effects/archer_queen/doesnt_have_inv
# execute as @e[tag=ArcherQueenMob,predicate=!clash:has_invisibility] at @s if entity @e[tag=!Player_Ally,distance=..10] run scoreboard players add @s HeroAttackTimer 1
# execute as @e[tag=ArcherQueenMob,predicate=!clash:has_invisibility,scores={HeroAttackTimer=8..}] at @s if entity @e[type=!#minecraft:friendly,distance=..10] run tag @s add ArcherQueenAttack
# execute as @e[tag=ArcherQueenMob,predicate=!clash:has_invisibility,scores={HeroAttackTimer=8..}] at @s run scoreboard players reset @s MobTimerAbility_3 
# execute as @e[tag=ArcherQueenMob,predicate=!clash:has_invisibility,scores={HeroAttackTimer=8..}] at @s run scoreboard players reset @s HeroAttackTimer 

# Invisible attack timer for the archer queen
execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility] at @s run function clash:hero_effects/archer_queen/has_inv
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility] at @s run particle effect ~ ~1.5 ~ 0.535 1 0.535 0 1 force @a
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility] at @s run scoreboard players reset @s HeroAttackTimer 
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility] at @s if entity @e[tag=!Player_Ally,distance=..10] run scoreboard players add @s MobTimerAbility_3 1
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility,scores={MobTimerAbility_3=2..}] at @s if entity @e[tag=!Player_Ally,distance=..10] run tag @s add ArcherQueenAttack
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility,scores={MobTimerAbility_3=2..}] at @s run scoreboard players reset @s MobTimerAbility 
# execute as @e[tag=ArcherQueenMob,predicate=clash:has_invisibility,scores={MobTimerAbility_3=2..}] at @s run scoreboard players reset @s MobTimerAbility_3 

# makes it so the queen attacks
execute as @e[tag=ArcherQueenAttack] at @s run function clash:hero_effects/archer_queen/attack
# execute as @e[tag=ArcherQueenAttack] at @s run scoreboard players add @s HeroAttackTimer_2 1
# execute as @e[tag=ArcherQueenAttack,scores={HeroAttackTimer_2=1..}] at @s run tp @s ~ ~ ~ facing entity @e[tag=!Player_Ally,distance=..10,sort=nearest,limit=1] 
# execute as @e[tag=ArcherQueenAttack,scores={HeroAttackTimer_2=1..}] at @s run function clash:mob_effects/mob_abilities/summoned_archer/cast
# execute as @e[tag=ArcherQueenAttack,scores={HeroAttackTimer_2=1..}] at @s run tag @s add ArcherQueenAttackClear

execute as @e[tag=ArcherQueenAttack_Marker] at @s run function clash:hero_effects/archer_queen/attack_marker

# # clears the aforementioned commands' tags and scoreboards
# execute as @e[tag=ArcherQueenAttackClear] at @s run tag @s remove ArcherQueenAttack
# execute as @e[tag=ArcherQueenAttackClear] at @s run scoreboard players reset @s HeroAttackTimer_2 
# execute as @e[tag=ArcherQueenAttackClear] at @s run tag @s remove ArcherQueenAttackClear

# death timer for the summoned archers
execute as @e[tag=HeroSummonedArcher] at @s run function clash:hero_effects/archer_queen/summoned_archer_effects
# execute as @e[tag=HeroSummonedArcher] at @s run scoreboard players add @s MobTimerAbility_2 1
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility_2=60..}] at @s run playsound entity.skeleton.death ambient @a[distance=..10] ~ ~ ~ 0.35 1.35 
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility_2=60..}] at @s run particle poof ~ ~1 ~ 0.125 0.5 0.125 0.105 25 force @a
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility_2=60..}] at @s run function clash:kill

# # attack timer for the summoned archers
# execute as @e[tag=HeroSummonedArcher] at @s run scoreboard players add @s MobTimerAbility 1
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility=4}] at @s run data merge entity @s {NoAI:1b}
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility=6}] at @s run data merge entity @s {NoAI:0b}
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility=6}] at @s if entity @e[tag=!Player_Ally,distance=..10] run tag @s add ArcherQueenAttack
# execute as @e[tag=HeroSummonedArcher,scores={MobTimerAbility=6..}] at @s run scoreboard players reset @s MobTimerAbility

# What happens to entities hit by archer queen and summoned archers
execute as @e[tag=SummonedArcherHit] at @s run function clash:hero_effects/archer_queen/hit