# Grand Warden : Attacks slowly from afar, makes nearby friendly entites invincible with his ability
#                Levitates whenever an enemy is nearby



scoreboard objectives add GWarden_Health dummy 
execute as @e[tag=GrandWardenMob] at @s run effect give @s slow_falling 1 1 true
execute as @e[tag=GrandWardenMob] at @s if entity @e[tag=Player_Ally,distance=..12.5,predicate=!clash:has_health_boost] run tp @s ~ ~ ~ facing entity @e[type=#super_friendly,distance=..12.5,predicate=!clash:has_health_boost,limit=1]
execute as @e[tag=GrandWardenMob] at @s if entity @e[tag=Player_Ally,distance=..12.5,predicate=!clash:has_health_boost] run playsound minecraft:block.beacon.activate player @a[distance=..10] ~ ~ ~ 0.35 2
execute as @e[tag=GrandWardenMob] at @s if entity @e[tag=Player_Ally,distance=..12.5,predicate=!clash:has_health_boost] run particle end_rod ~ ~0.125 ~ 1 2 1 0.125 25 force @a
execute as @e[tag=GrandWardenMob] at @s run effect give @e[tag=Player_Ally,distance=..12.5,predicate=!clash:has_health_boost] health_boost 60 1 true
execute as @e[tag=GrandWardenMob] at @s store result score @s GWarden_Health run data get entity @s Health
execute as @e[tag=!HeroCooldownTag,tag=GrandWardenMob,scores={GWarden_Health=..50}] at @s if entity @e[tag=!Player_Ally,distance=..10,tag=!PlayerSummoned] run tag @s add GrandWardenAbility_Execute
execute as @e[tag=!HeroCooldownTag,tag=GrandWardenMob,scores={GWarden_Health=..50}] at @s if entity @e[tag=!Player_Ally,distance=..10,tag=!PlayerSummoned] run tag @s add HeroCooldownTag

# Grand Warden Attack Timer
execute as @e[tag=GrandWardenMob] at @s if entity @e[tag=!Player_Ally,distance=..15,tag=!PlayerSummoned] run scoreboard players add @s HeroAttackTimer 1
execute as @e[tag=GrandWardenMob,scores={HeroAttackTimer=12..}] at @s if entity @e[tag=!Player_Ally,distance=..15,tag=!PlayerSummoned] run tag @s add GrandWardenAttack
execute as @e[tag=GrandWardenMob,scores={HeroAttackTimer=12..}] at @s run scoreboard players reset @s HeroAttackTimer 



# Grand Warden Floating Timer
execute as @e[tag=GrandWardenMob] at @s if entity @e[tag=!Player_Ally,distance=..10] run tag @s add GW_Float

#levitates the warden 
execute as @e[tag=GW_Float] at @s run scoreboard players add @s MobTimerAbility 1
execute as @e[tag=GW_Float,scores={MobTimerAbility=1}] at @s run effect give @s levitation 4 1 true
execute as @e[tag=GW_Float,scores={MobTimerAbility=12..}] at @s unless block ~ ~-0.01 ~ #can_summon run tag @s add GW_FloatClear

# clears the aforementioned commands
execute as @e[tag=GW_FloatClear] at @s run scoreboard players reset @s MobTimerAbility 
execute as @e[tag=GW_FloatClear] at @s run tag @s remove GW_Float
execute as @e[tag=GW_FloatClear] at @s run tag @s remove GW_FloatClear


# makes it so the warden attacks
execute as @e[tag=GrandWardenAttack] at @s run scoreboard players add @s HeroAttackTimer_2 1
execute as @e[tag=GrandWardenAttack,scores={HeroAttackTimer_2=1..}] at @s run tp @s ~ ~ ~ facing entity @e[tag=!Player_Ally,distance=..10,sort=nearest,limit=1,tag=!PlayerSummoned] 
execute as @e[tag=GrandWardenAttack,scores={HeroAttackTimer_2=1..}] at @s run function clash:special_items/warden_staff/cast
execute as @e[tag=GrandWardenAttack,scores={HeroAttackTimer_2=1..}] at @s run tag @s add GrandWardenAttackClear
# clears the aforementioned commands' tags and scoreboards
execute as @e[tag=GrandWardenAttackClear] at @s run tag @s remove GrandWardenAttack
execute as @e[tag=GrandWardenAttackClear] at @s run scoreboard players reset @s HeroAttackTimer_2 
execute as @e[tag=GrandWardenAttackClear] at @s run tag @s remove GrandWardenAttackClear


execute as @e[tag=GrandWardenAbility_Execute] at @s run playsound clash:hero.grand_warden_ability ambient @a[distance=..10] ~ ~ ~ 10 1
execute as @e[tag=GrandWardenAbility_Execute] at @s run particle end_rod ~ ~0.125 ~ 4 0.125 4 0.25 150 force @a
execute as @e[tag=GrandWardenAbility_Execute] at @s run particle dust 1 0.902 0 4 ~ ~0.125 ~ 4 0.125 4 0 350 force @a
execute as @e[tag=GrandWardenAbility_Execute] at @s run tag @e[type=#friendly,distance=..15,tag=!PlayerSummoned] add GrandWardenAbility
execute as @e[tag=GrandWardenAbility_Execute] at @s run tag @s remove GrandWardenAbility_Execute

# Grand Warden Ability Effect
execute as @e[tag=GrandWardenAbility] at @s run scoreboard players add @s HeroAbilityTimer 1

execute as @e[tag=GrandWardenAbility,tag=GrandWardenMob,scores={HeroAbilityTimer=1..}] at @s run particle end_rod ~ ~1.5 ~ 0.1 0.5 0.1 0.125 6 force @a
execute as @e[tag=GrandWardenAbility,tag=GrandWardenMob,scores={HeroAbilityTimer=1..}] at @s run particle minecraft:dust 1 1 0 1 ~ ~1.5 ~ 0.75 1 0.75 .05 1

execute as @e[tag=GrandWardenAbility,scores={HeroAbilityTimer=1}] at @s run effect give @s resistance 5 255 true
execute as @e[tag=GrandWardenAbility,scores={HeroAbilityTimer=1..}] at @s run particle minecraft:end_rod ~ ~1 ~ 0.25 0.5 0.25 .05 1
execute as @e[tag=GrandWardenAbility,scores={HeroAbilityTimer=1..}] at @s run particle minecraft:dust 1 1 0 1 ~ ~1 ~ 0.25 0.5 0.25 .05 1
execute as @e[tag=GrandWardenAbility,scores={HeroAbilityTimer=20..}] at @s run tag @s add GrandWardenAbilityClear
# clears the aforementioned commands' tags and scoreboards
execute as @e[tag=GrandWardenAbilityClear] at @s run tag @s remove GrandWardenAbility
execute as @e[tag=GrandWardenAbilityClear] at @s run scoreboard players reset @s HeroAbilityTimer 
execute as @e[tag=GrandWardenAbilityClear] at @s run tag @s remove GrandWardenAbilityClear
