scoreboard players add @s clash.Ray 1

# execute if score @s clash.Ray matches 5.. run particle crit ~ ~ ~ 0 0 0 0.05 1 force @a
# execute if score @s clash.Ray matches 5.. run particle cloud ~ ~ ~ 0 0 0 0.05 1 force @a

# This is to prevent any weird behavior
execute if score @s clash.Ray matches 1 run scoreboard players set @s num_1 1

execute if score @s clash.Ray matches 1 run effect give @s invisibility 1 1 true

# execute as @s[tag=Player_Summoned] if score @s clash.Ray matches 1 run tp @s ~ ~ ~ facing entity @p[predicate=clash:tool_abilities/has_iron_axe] eyes
# execute as @s[tag=Villager_Summoned] if score @s clash.Ray matches 1 run function clash:look_at_nfriendly
execute as @s[tag=Hostile] if score @s clash.Ray matches 1 run function clash:look_at_player


# DEBUG
# execute as @s if score @s clash.Ray matches 1 run particle dust 1 0 0 5 ~ ~ ~ 0 0 0 0 50 force @a



execute if score @s clash.Ray matches 4 run effect clear

# This is used so the axe doesn't stray too far from the player
# for unknown reasons, the axe doesn't return to where
# it came from. May look into this. For now, this is used.
execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1

execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1
execute if score @s clash.Ray matches 21 run scoreboard players operation @s MobTimerAbility -= @s num_1

# This spawns the vfx entity

execute if score @s clash.Ray matches 5.. run execute positioned ~ ~.5 ~ run summon minecraft:armor_stand ~ ~ ~ {NoAI:1b,CustomName:'[{"text":"Fisherman Anchor","bold":true,"color":"#e5e2cf"}]',Invulnerable:1b,Tags:[Player_Ally,FishermanAnchorMob]}


# This moves the axe forward
execute if score @s clash.Ray matches 5..20 if block ^ ^.5 ^.75 #can_summon run function clash:mob_effects/barbarian_effects/fisherman/proj/move_forward


# END_START = ..20 ; MIDDLE = 21 ; END_FINAL = 22..

# This moves the axe backwards
execute if score @s clash.Ray matches 22.. run function clash:mob_effects/barbarian_effects/fisherman/proj/move_backwards

execute if score @s clash.Ray matches 0 run tp @p[distance=..0.9] @e[tag=FishermanMob,limit=1,sort=nearest,distance=..1]



# This is so the axe is killed once the score that tells the 
# amount of block is has moved reaches 0. 
execute as @s[scores={clash.Ray=2..}] if score @s MobTimerAbility matches 0 run function clash:kill


# This is to make absolutely sure the axe is destroyed.
# May not even execute.

execute if score @s clash.Ray matches 60.. run function clash:kill



