

# execute as @e[type=bee] at @s run effect give @e[type=#super_friendly,distance=..5.5,predicate=!clash:has_regeneration] minecraft:regeneration 5 1 false
# execute as @e[type=bee] at @s run effect give @e[type=player,distance=..7.5] minecraft:saturation 1 0 true


execute as @e[type=bee,predicate=clash:0_point_1_percent] at @s run particle effect ~ ~1 ~ 1 1 1 0 1 force @a 
execute as @e[type=bee] at @s run data modify entity @s AngerTime set value 0


effect give @e[type=bee] slow_falling 3 0 true 
effect give @e[type=bee,predicate=!clash:has_regeneration] regeneration 3 1 true


# This is the tag that checks if the entity can be healed

# This sb can be found on .load
# scoreboard objectives add Villager_Health dummy 
execute as @e[type=villager] at @s store result score @s Villager_Health run data get entity @s Health

tag @a[scores={Health=..19}] add NeedsHealing
tag @e[scores={Villager_Health=..19}] add NeedsHealing
tag @e[scores={AQueen_Health=..89}] add NeedsHealing
tag @e[scores={BKing_Health=..159}] add NeedsHealing
tag @e[scores={GWarden_Health=..99}] add NeedsHealing
tag @e[scores={RC_Health=..129}] add NeedsHealing
tag @e[scores={BMachine_Health=..149}] add NeedsHealing


# BATTLE HEALER
execute as @e[tag=BattleHealerMob,tag=!BattleHealer_Cooldown] at @s if entity @e[tag=NeedsHealing,distance=..10] run function clash:mob_effects/healer_effects/battle_healer/summon_heal_spell

execute as @e[tag=BattleHealer_Cooldown] at @s run function clash:mob_effects/healer_effects/battle_healer/cd

execute as @e[tag=BattleHealerArmorStand] at @s run function clash:mob_effects/healer_effects/battle_healer/spell_armorstand

execute as @e[tag=BattleHealer_Spell] at @s run function clash:mob_effects/healer_effects/battle_healer/spell_entity

# Healer Attack Timer
# Unicorn
execute as @e[tag=HealerMob,type=horse,predicate=clash:0_point_1_percent] at @s run particle effect ~ ~1 ~ 1 1 1 0 1 force @a 


execute as @e[tag=HealerMob_Hostile] at @s run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=HealerMob_Hostile] at @s if entity @e[type=!#friendly,distance=..9.5] run tp @s ~ ~ ~
execute as @e[tag=HealerMob_Hostile,scores={VillagerTimerAbility=50}] at @s if entity @e[type=!#friendly,distance=..9.5] run function clash:mob_effects/healer_effects/healer/hostile_ability_execute
execute as @e[tag=HealerMob_Hostile,scores={VillagerTimerAbility=50..}] at @s run scoreboard players reset @s VillagerTimerAbility 

execute as @e[tag=HealerMob] at @s run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=HealerMob,scores={VillagerTimerAbility=60}] at @s if entity @e[tag=NeedsHealing,distance=..9.5] run function clash:mob_effects/healer_effects/healer/ability_execute
execute as @e[tag=HealerMob,scores={VillagerTimerAbility=60..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# this is for the projectile
execute as @e[tag=HLR_Projectile] at @s run function clash:mob_effects/healer_effects/healer/proj/generic

execute as @e[tag=HLR_Hostile_Projectile] at @s run function clash:mob_effects/healer_effects/healer/hostile_proj/generic

# applies effects to hit entities
execute as @e[tag=HLR_AttackHit] at @s run function clash:mob_effects/healer_effects/healer/proj/healer_hit

# applies effects to hit entities
execute as @e[tag=Unicorn_AttackHit] at @s run function clash:mob_effects/healer_effects/healer/proj/unicorn_hit

# this is so the NeedsHealing doesnt remain on entities even after they have been healed
tag @e remove NeedsHealing
scoreboard players reset @e Villager_Health
