
# Detects all banner items and applies a tag to all of them
execute as @e[type=item,nbt={Item:{id:"minecraft:white_banner"},OnGround:1b,}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:orange_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:magenta_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:light_blue_banner"},OnGround:1b}] at @s run tag @s add BannerItem

execute as @e[type=item,nbt={Item:{id:"minecraft:yellow_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:lime_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:pink_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:gray_banner"},OnGround:1b}] at @s run tag @s add BannerItem

execute as @e[type=item,nbt={Item:{id:"minecraft:light_gray_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:cyan_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:purple_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:blue_banner"},OnGround:1b}] at @s run tag @s add BannerItem

execute as @e[type=item,nbt={Item:{id:"minecraft:brown_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:green_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:red_banner"},OnGround:1b}] at @s run tag @s add BannerItem
execute as @e[type=item,nbt={Item:{id:"minecraft:black_banner"},OnGround:1b}] at @s run tag @s add BannerItem

# This detects if BannerItem is above a bell or not, triggers the raid if score reaches X
execute as @e[tag=BannerItem] at @s if block ~ ~-0.001 ~ bell unless entity @e[tag=MainRoundManager,limit=1,distance=..64] run scoreboard players add @s DefensiveRaid_DespawnTimer 1
execute as @e[tag=BannerItem] at @s unless block ~ ~-0.001 ~ bell run scoreboard players reset @s DefensiveRaid_DespawnTimer 
execute as @e[tag=BannerItem] at @s run particle firework ~ ~.275 ~ 0 0 0 0.25 10 force @a
execute as @e[tag=BannerItem,scores={DefensiveRaid_DespawnTimer=6..10}] at @s run particle smoke ~ ~.275 ~ 0 0 0 0.15 30 force @a
execute as @e[tag=BannerItem,scores={DefensiveRaid_DespawnTimer=10}] at @s run summon minecraft:marker ~ ~ ~ {Tags:[MainRoundManager]}
execute as @e[tag=BannerItem,scores={DefensiveRaid_DespawnTimer=10..}] at @s run kill @s
