
# Archer (Villager) : Attacks enemies with its bow

# Tags all villagers that are fletcher
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:fletcher"}},tag=!VillagerArcherTag] add VillagerArcherTag
execute as @e[tag=VillagerArcherTag,predicate=!clash:has_regeneration] at @s run effect give @s regeneration 1 0 true


# Attack Timer
execute as @e[tag=VillagerArcherTag] at @s if entity @e[type=!#friendly,distance=..15.5] run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=VillagerArcherTag,scores={VillagerTimerAbility=80..}] at @s if entity @e[type=!#minecraft:friendly,distance=..15.5] if block ~ ~ ~ #can_summon run tag @s add VA_Attack_Execute
execute as @e[tag=VillagerArcherTag,scores={VillagerTimerAbility=80..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
execute as @e[tag=VA_Attack_Execute] at @s run tp @s ~ ~ ~ facing entity @e[type=!#friendly,distance=..15.5,limit=1,sort=nearest]
execute as @e[tag=VA_Attack_Execute] at @s run execute positioned ~ ~1 ~ run function clash:hero_effects/archer_queen/proj/cast
execute as @e[tag=VA_Attack_Execute] at @s run particle crit ~ ~1 ~ 0.45 0.85 0.45 0.25 15 force @a
execute as @e[tag=VA_Attack_Execute] at @s run tag @s remove VA_Attack_Execute


execute as @e[tag=Hero_ArcherQueenArrow_Proj] at @s run function clash:hero_effects/archer_queen/proj/generic




execute as @e[tag=VillagerArcherTag] at @s run tag @s remove VillagerArcherTag