
# Tags all villagers that are fisherman
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:fisherman"}},tag=!FishermanTag] add FishermanTag

execute as @e[tag=FishermanTag,predicate=clash:0_point_1_percent,predicate=clash:0_point_1_percent] at @s run particle dripping_dripstone_water ~ ~.005 ~ 0.1 0 0.1 0 1 force @a

execute as @e[tag=FishermanTag] at @s run effect give @s water_breathing 1 1 true


# RC Attack Timer
execute as @e[tag=FishermanTag] at @s run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=FishermanTag,scores={VillagerTimerAbility=5..},tag=!FSM_AbilityCooldown] at @s if entity @a[scores={Health=..2},distance=..15.5] if block ~ ~ ~ #can_summon run function clash:villager_effects/fisherman/execute_ability
execute as @e[tag=FishermanTag,scores={VillagerTimerAbility=5..},tag=!FSM_AbilityCooldown] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
# execute as @e[tag=FSM_Attack_Execute] at @s run summon minecraft:marker ~ ~.5 ~ {Tags:[FSM_AnchorProjectile, ArmorStandProjectile],Invulnerable:1b,Invisible:1b}
# execute as @e[tag=FSM_Attack_Execute] at @s run tp @s ~ ~ ~ facing entity @a[scores={Health=..10},distance=..15.5,limit=1,sort=nearest]
# execute as @e[tag=FSM_Attack_Execute] at @s run playsound item.trident.throw ambient @a[distance=..10] ~ ~ ~ 0.35 2
# execute as @e[tag=FSM_Attack_Execute] at @s run tag @s add FSM_AbilityCooldown
# execute as @e[tag=FSM_Attack_Execute] at @s run tag @s remove FSM_Attack_Execute


execute as @e[tag=FSM_AnchorProjectile] at @s run function clash:villager_effects/fisherman/anchor_proj
# execute as @e[tag=FSM_AnchorProjectile] at @s run scoreboard players add @s VillagerTimerAbility_2 1
# execute as @e[tag=FSM_AnchorProjectile,predicate=clash:0_point_1_percent] at @s run playsound item.trident.riptide_1 ambient @a[distance=..15.5] ~ ~ ~ 0.55 2
# execute as @e[tag=FSM_AnchorProjectile] at @s run summon minecraft:armor_stand ~ ~1 ~ {NoAI:1b,CustomName:'[{"text":"Fisherman Anchor","bold":true,"color":"#e5e2cf"}]',Invulnerable:1b,Tags:[FishermanAnchorMob]}
# execute as @e[tag=FSM_AnchorProjectile] at @s run tp @s ^ ^ ^.75 facing entity @a[tag=!FSM_AttackHit,scores={Health=..10},distance=..15.5,sort=nearest,limit=1]
# execute as @e[tag=FSM_AnchorProjectile] at @s if entity @a[tag=!FSM_AttackHit,distance=..1.0,sort=nearest,limit=1] run tag @s add FSM_AnchorProjectile_FoundEntity
# execute as @e[tag=FSM_AnchorProjectile,scores={VillagerTimerAbility_2=100..}] at @s run function clash:kill

# this is for the temp shield (visual only) entities
execute as @e[tag=FishermanAnchorMob] at @s run function clash:villager_effects/fisherman/visual_proj
# execute as @e[tag=FishermanAnchorMob] at @s run scoreboard players add @s HeroAbilityTimer 1
# execute as @e[tag=FishermanAnchorMob] at @s run particle falling_dripstone_water ~ ~ ~ 0.125 0.125 0.125 0.8525 5 force @a
# execute as @e[tag=FishermanAnchorMob] at @s run particle crit ~ ~ ~ 0 0 0 0.08525 3 force @a
# execute as @e[tag=FishermanAnchorMob,scores={HeroAbilityTimer=2..}] at @s run function clash:kill


# this will tag nearby entities and increase the shieldhit count 
execute as @e[tag=FSM_AnchorProjectile_FoundEntity] at @s run function clash:villager_effects/fisherman/found_entity
# execute as @e[tag=FSM_AnchorProjectile_FoundEntity] at @s run tag @e[tag=!FSM_AttackHit,type=player,distance=..1.0,sort=nearest,limit=1] add FSM_AttackHit
# execute as @e[tag=FSM_AnchorProjectile_FoundEntity] at @s run function clash:kill

# applies effects to hit entities
execute as @e[tag=FSM_AttackHit] at @s run function clash:villager_effects/fisherman/hit
# execute as @e[tag=FSM_AttackHit] at @s run scoreboard players add @s HeroAbilityTimer 1
# execute as @e[tag=FSM_AttackHit] at @s run tp @s ^ ^.1 ^.74 facing entity @e[type=!player,tag=FishermanTag,sort=nearest,limit=1]
# execute as @e[tag=FSM_AttackHit] at @s run effect give @s resistance 3 255 true 
# execute as @e[tag=FSM_AttackHit] at @s run effect give @s slow_falling 1 255 true 
# execute as @e[tag=FSM_AttackHit] at @s if entity @e[tag=FishermanTag,sort=nearest,limit=1,distance=..0.25] run tag @s add FSM_AttackHitClear
# execute as @e[tag=FSM_AttackHit,scores={HeroAbilityTimer=100..}] at @s run tag @s add FSM_AttackHitClear


# Clears the scoreboards, etc of entities hit by shield
# execute as @e[tag=FSM_AttackHitClear] at @s run scoreboard players reset @s HeroAbilityTimer 
# execute as @e[tag=FSM_AttackHitClear] at @s run tag @s remove FSM_AttackHit
# execute as @e[tag=FSM_AttackHitClear] at @s run tag @s remove FSM_AttackHitClear



execute as @e[tag=FSM_AbilityCooldown] at @s run scoreboard players add @s VillagerCooldownTimer 1
execute as @e[tag=FSM_AbilityCooldown,scores={VillagerCooldownTimer=600..}] at @s run tag @s add FSM_AbilityCooldownClear

execute as @e[tag=FSM_AbilityCooldownClear] at @s run scoreboard players reset @s VillagerCooldownTimer 
execute as @e[tag=FSM_AbilityCooldownClear] at @s run tag @s remove FSM_AbilityCooldown
execute as @e[tag=FSM_AbilityCooldownClear] at @s run tag @s remove FSM_AbilityCooldownClear


execute as @e[tag=FishermanTag] at @s run tag @s remove FishermanTag