
# Archer (Villager) : Attacks enemies with its bow

# Tags all villagers that are fletcher
tag @e[type=villager,nbt={VillagerData:{profession:"minecraft:librarian"}},tag=!MusketeerTag] add MusketeerTag
execute as @e[tag=MusketeerTag,predicate=!clash:has_regeneration] at @s run effect give @s regeneration 3 0 true


# Attack Timer
execute as @e[tag=MusketeerTag] at @s if entity @e[tag=!Player_Ally,distance=..9.5] run scoreboard players add @s VillagerTimerAbility 1
execute as @e[tag=MusketeerTag,scores={VillagerTimerAbility=1..},tag=!MKR_AbilityCooldown] at @s if block ~ ~ ~ #can_summon run function clash:villager_effects/musketeer/attack_execute
execute as @e[tag=MusketeerTag,scores={VillagerTimerAbility=1..}] at @s run scoreboard players reset @s VillagerTimerAbility 

# Executes something before the actual ability itself
# execute as @e[tag=MKR_Attack_Execute] at @s run tag @s add MKR_Attack
# execute as @e[tag=MKR_Attack_Execute] at @s run tag @s add MKR_AbilityCooldown
# execute as @e[tag=MKR_Attack_Execute] at @s run particle crit ~ ~1 ~ 0 0 0 0.25 15 force @a
# execute as @e[tag=MKR_Attack_Execute] at @s run tag @s remove MKR_Attack_Execute



execute as @e[tag=MKR_Attack] at @s run function clash:villager_effects/musketeer/attack
# execute as @e[tag=MKR_Attack] at @s run scoreboard players add @s VillagerTimerAbility_2 1
# execute as @e[tag=MKR_Attack,scores={VillagerTimerAbility_2=1}] at @s run data merge entity @s {NoAI:1b}
# execute as @e[tag=MKR_Attack,scores={VillagerTimerAbility_2=1}] at @s run tp @s ~ ~ ~ facing entity @e[tag=!Player_Ally,distance=..9.5,limit=1,sort=nearest]
# execute as @e[tag=MKR_Attack,scores={VillagerTimerAbility_2=3}] at @s run function clash:mob_effects/mob_abilities/musketeer/cast
# execute as @e[tag=MKR_Attack,scores={VillagerTimerAbility_2=3}] at @s run data merge entity @s {NoAI:0b}
# execute as @e[tag=MKR_Attack,scores={VillagerTimerAbility_2=3..}] at @s run tag @s add MKR_AttackClear


# execute as @e[tag=MKR_AttackClear] at @s run scoreboard players reset @s VillagerTimerAbility_2 
# execute as @e[tag=MKR_AttackClear] at @s run tag @s remove MKR_Attack
# execute as @e[tag=MKR_AttackClear] at @s run tag @s remove MKR_AttackClear


execute as @e[tag=MKR_AbilityCooldown] at @s run function clash:villager_effects/musketeer/cd_main

# execute as @e[tag=MusketeerHit] at @s run function clash:villager_effects/musketeer/hit

# execute as @e[tag=MusketeerHit,type=!#undead] at @s run effect give @s instant_damage 1 0 false
# execute as @e[tag=MusketeerHit,type=#undead] at @s run effect give @s instant_health 1 0 false
# execute as @e[tag=MusketeerHit,predicate=clash:0_point_5_percent] at @s run effect give @s weakness 1 255 false
# execute as @e[tag=MusketeerHit] at @s run tag @s remove MusketeerHit

execute as @e[tag=MusketeerTag] at @s run tag @s remove MusketeerTag